Sets the value at the specified index to newval

- « ArrayObject::offsetGet

- ArrayObject::offsetUnset »

- PHP Manual
- ArrayObject
- Sets the value at the specified index to newval

# ArrayObject::offsetSet

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetSet — Sets the value at the specified index to newval

### Description

public ArrayObject::offsetSet(mixed `$key`, mixed `$value`): void

Sets the value at the specified index to newval.

### Parameters

`key`

  The index being set.

`value`

  The new value for the `key`.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::offsetSet() example

    <?phpclass Example {    public $property = 'prop:public';}$arrayobj = new ArrayObject(new Example());$arrayobj->offsetSet(4, 'four');$arrayobj->offsetSet('group', array('g1', 'g2'));var_dump($arrayobj);$arrayobj = new ArrayObject(array('zero','one'));$arrayobj->offsetSet(null, 'last');var_dump($arrayobj);?>

The above example will output:

    object(ArrayObject)#1 (3) {
      ["property"]=>
      string(11) "prop:public"
      [4]=>
      string(4) "four"
      ["group"]=>
      array(2) {
        [0]=>
        string(2) "g1"
        [1]=>
        string(2) "g2"
      }
    }
    object(ArrayObject)#3 (3) {
      [0]=>
      string(4) "zero"
      [1]=>
      string(3) "one"
      [2]=>
      string(4) "last"
    }

### See Also

- ArrayObject::append() - Appends the value